import React from "react";
import { makeStyles } from "@material-ui/core/styles";
import Grid from "@material-ui/core/Grid";
import Image from 'next/image'

const useStyles = makeStyles((theme) => ({
 
  paper: {
    textAlign: "center",
    height:'50px',
    background:'red'
  }
}));

export default function CenteredGrid() {
  const classes = useStyles();

  return (
   <>
      <Grid container spacing={3}>

        <Grid item md={3} lg={3} xs={3} >
          <div className={classes.paper}>
             <picture>
                <source className="giftwebp" srcSet="/gift3.webp" type="image/webp" />
                <Image width="100%" height="100%" className="giftwebp"  src="/gift3.jpg" type="image/jpeg" alt=""/>
              </picture>
          </div>
        </Grid>

        <Grid item md={3} lg={3} xs={3}>
          <div className={classes.paper}>
              <picture>
                <source className="giftwebp" srcSet="/gift2.webp" type="image/webp" />
                <Image width="100%" height="100%" className="giftwebp" src="/gift2.jpg" type="image/jpeg" alt="" />
              </picture>
          </div>
        </Grid>

        <Grid item md={3} lg={3} xs={3}>
          <div className={classes.paper}>
              <picture>
                <source className="giftwebp" srcSet="/gift1.webp" type="image/webp" />
                <Image width="100%" height="100%" className="giftwebp" src="/gift1.jpg" type="image/jpeg" alt="" />
              </picture>
          </div>
        </Grid>

        <Grid item md={3} lg={3} xs={3}>
          <div className={classes.paper}>
              <picture>
                <source className="giftwebp" srcSet="/gift3.webp" type="image/webp" />
                <Image width="100%" height="100%" className="giftwebp" src="/gift3.jpg" type="image/jpeg" alt="" />
              </picture>
          </div>
        </Grid>

        </Grid>
</>
  );
}
