import React from 'react';
import Grid from '@material-ui/core/Grid';
import Link from 'next/link';
import Image from 'next/image';
import styles from '../Component/Componentstyle/Worldwide.module.css'
export default function Giftbychoice(props) {
	return (
		<>
			<Grid item className={styles.worldwideitem}>
				<Link href={props.categoryLink}><a>
					<div className={styles.worldwideimg}>
						<Image src={props.worldwideimg} width="377" height="373" title={props.title} alt={props.ImgAlt}
						/>
						<p>{props.worldwidetext}</p>
						<div className={styles.overlayworldwide}>
							<span>{props.coutryname}</span>
						</div>
					</div>
				</a></Link>
			</Grid>
		</>
	)
}