import React from "react";
import WhatsAppWidget from "react-whatsapp-chat-widget";
import "react-whatsapp-chat-widget/index.css";

export default function WhatsApp() {
	return (
		<WhatsAppWidget
			phoneNo="918800491303"
			position="left"
			widgetWidth="300px"
			widgetWidthMobile="260px"
			autoOpen={false}
			autoOpenTimer={5000}
			messageBox={false}
			iconSize="40"
			iconColor="white"
			iconBgColor="#4ac959"
			headerIconColor="#fff"
			headerTxtColor="#fff"
			headerBgColor="#4ac959"
			headerTitle="Chat with us"
			headerCaption=""
			bodyBgColor="#fff"
			chatPersonName="Support"
			chatMessage={<>Hi there 👋 <br /><br /> How can I help you?</>}
			footerBgColor="#fff"
			btnBgColor="#4ac959"
			btnTxtColor="#fff"
			btnTxt="Start Chat"
		/>
	);
};
