//import Link from "next/link";
import "react-multi-carousel/lib/styles.css";
import Grid from '@material-ui/core/Grid';
import { makeStyles } from "@material-ui/core/styles";
import Button from '@mui/material/Button'
//import Typography from '@material-ui/core/Typography';
//import Breadcrumbs from '@material-ui/core/Breadcrumbs';
import { useSelector, useDispatch } from 'react-redux';
import { updateAllItems, removeItem, emptyCart } from '../redux/actions/cart';

import "react-multi-carousel/lib/styles.css";
import { Lock,CloseOutlined,Info } from '@material-ui/icons';
import React, { useState, useEffect } from 'react'
import { useRouter } from 'next/router'
import styles from './Layoutstyles/Checkout.module.css'
import config from '../config/config';
import {AustraliaStates} from '../components/CommonFunctions/Adress/AustraliaStates';
import {IndiaStates} from '../components/CommonFunctions/Adress/IndiaStates';
import {UsaStates} from '../components/CommonFunctions/Adress/UsaStates';
import {GermanyStates} from '../components/CommonFunctions/Adress/GermanyStates';
import {UkStates} from '../components/CommonFunctions/Adress/UkStates';
import {CanadaStates} from '../components/CommonFunctions/Adress/CanadaStates';
import {UaeStates} from '../components/CommonFunctions/Adress/UaeStates';
import { PayPalButton } from "react-paypal-button-v2";
import { GetStorage } from "../redux/lib/localstorage";

/*
function handleClick(event) {
	event.preventDefault();
}
*/

export default function Checkout(props) {
	const dispatch = useDispatch();
	//const updateItemsInCart = (Itemdata) => dispatch(updateAllItems(Itemdata))
	//const deleteItemFromCart = (item) => dispatch(removeItem(item))
	const SelectedCurrencydata = useSelector(state => state.cartReducer.CurrencyData);
	const PincodeData = useSelector(state => state.cartReducer.PincodeData);

	//const CartTotalItem = useSelector(state => state.cartReducer.TotalItems);
	const CartItemsList = useSelector(state => state.cartReducer.CartItemsList);
	const CartSubTotal = useSelector(state => state.cartReducer.SubTotal);
	const CartGrandTotal = useSelector(state => state.cartReducer.GrandTotal);
	const CartDiscountsData = useSelector(state => state.cartReducer.DiscountsData);
	//const CurrencyData = useSelector(state => state.cartReducer.CurrencyData);
	const GeoData = useSelector(state => state.cartReducer.GeoData);
	const CartExtraDetail = useSelector(state => state.cartReducer.CartExtraDetail);

	const CouponDiscount = useSelector(state => state.cartReducer.CouponDiscounts);
	const GiftWrapperChargesTotal = useSelector(state => state.cartReducer.GiftWrapperChargesTotal);

	const OrderDeliveryCharges = useSelector(state => state.cartReducer.DeliveryChargesTotal);
	const OrderDeliveryChargesINR = useSelector(state => state.cartReducer.DeliveryChargesTotalINR);

	var delCountry = '2'
	var selectedPincode = ''
	var selectedDeldate = ''
	//var selectedMessage = ''
	//var selectedpersonalImg = ''
	
	if (CartExtraDetail.length > 0) {
		delCountry = CartExtraDetail[0].country_id;
		selectedPincode = CartExtraDetail[0].pincode;
		selectedDeldate = CartExtraDetail[0].delivery_date;
		//selectedMessage = CartExtraDetail[0].cake_message;
		//selectedpersonalImg = CartExtraDetail[0].pesonalize_image;
	}
	const MainPincode = selectedPincode
	//const [MainPincode, setMainPincode] = useState(selectedPincode);
	//const [MainDeldate, setMainDeldate] = useState(selectedDeldate);
	const MainDeldate = selectedDeldate
	//const [MainCakeMessage, setMainCakeMessage] = useState(selectedMessage);
	//const [MainPersonailzeImg, setMainPersonailzeImg] = useState(selectedpersonalImg);

	//const [CartItems, setCartItems] = useState(CartItemsList);

	//const [status, setStatus] = React.useState(1)
	// const radioHandler = (status) => {
	// 	setStatus(status);
	// };

	const [Email, setEmail] = useState("");
	const [FName, setFName] = useState("");
	const [LName, setLName] = useState("");
	const [Telephone, setTelephone] = useState("");
	const [GiftMessage, setGiftMessage] = useState("");
	const [SpInstruction, setSpInstruction] = useState("");
	const [isLoader, setisLoader] = useState(false)
	const [RFName, setRFName] = useState("");
	const [RLName, setRLName] = useState("");

	const ComName = '';
	const City = PincodeData.PinCodeCity;
	const State = PincodeData.PincodeState;
	const RPincode = PincodeData.PinCode;
	//const [ComName, setComName] = useState("");
	const [Country, setCountry] = useState(2);
	const [StreetAdd, setStreetAdd] = useState("");
	//const [City, setCity] = useState(PincodeData.PinCodeCity);
	//const [State, setState] = useState(PincodeData.PincodeState);
	const [ShowState, setShowState] = useState(true);
	//const [RPincode, setRPincode] = useState(PincodeData.PinCode);
	const [CustomPincode, setCustomPincode] = useState('');
	const [CustomCity, setCustomCity] = useState('');
	const [CustomState, setCustomState] = useState('');

	const [RTelephone, setRTelephone] = useState("");
	//const [FirstName, setFirstName] = useState('');

	const [Emailerr, setEmailerr] = useState(false);
	const [FNameerr, setFNameerr] = useState(false);
	const [LNameerr, setLNameerr] = useState(false);
	const [Telephoneerr, setTelephoneerr] = useState(false);
	const [RFNameerr, setRFNameerr] = useState(false);
	const [RLNameerr, setRLNameerr] = useState(false);
	//const [ComNameerr, setComNameerr] = useState(false);
	const [Countryerr, setCountryerr] = useState(false);
	const [Streeterr, setStreeterr] = useState(false);
	const [Cityerr, setCityerr] = useState(false);
	const [Stateerr, setStateerr] = useState(false);
	const [RPincodeerr, setRPincodeerr] = useState(false);
	const [RTelephoneerr, setRTelephoneerr] = useState(false);

	//const [FirstNameerr, setFirstNameerr] = useState(false);

	const OrderSubtotalINR = useSelector(state => state.cartReducer.SubTotalINR);
	const OrderGrandTotalINR = useSelector(state => state.cartReducer.GrandTotalINR);
	//const OrderDiscounts = useSelector(state => state.cartReducer.Discounts);
	const OrderDiscountsINR = useSelector(state => state.cartReducer.DiscountsINR);

	//const [CustomerIp, setCustomerIp] = useState(GeoData.request);
	const CustomerIp = GeoData.request
	//const [CustomerCountry, setCustomerCountry] = useState(GeoData.countryName);
	const CustomerCountry = GeoData.countryName
	const [OrderPaymentGateway, setOrderPaymentGateway] = useState('1');
	const [NotPlaceError, setNotPlaceError] = useState(false);
	const [NotPlaceErrorMessage, setNotPlaceErrorMessage] = useState('');     
    const [PaypalScriptLoaded, setPaypalScriptLoaded] = useState(false);   

    const [CurrencyCode, setCurrencyCode] = useState('USD'); 
    const [CartSubTotalPaypal, setCartSubTotalPaypal] = useState(CartGrandTotal); 
    const AllCountryData = useSelector(state => state.cartReducer.AllCountryData);  
    const [ShippingAddressCheck, setShippingAddressCheck] = useState(false);
    const [DisplayPayPalButton, setDisplayPayPalButton] = useState(false);
	
	const [CcabvenueEncrpypted, setCcabvenueEncrpypted] = useState('');
	
	var saveOrderDataDatabase = ''
	var SavedOrderId;

    useEffect(async () => {
		//console.log('process.env.NEXT_CCAVENUE_ACCESSCODE',process.env.NEXT_PUBLIC_CCAVENUE_ACCESSCODE)
		//console.log('process.env.NEXT_CCAVENUE_ACCESSCODE 1',process.env.NEXT_PUBLIC_RazorPayLogEnabled)
        const addPaypalScript = () => {
            var newcurrencycod = CurrencyCode;
            if (SelectedCurrencydata) {
                if(SelectedCurrencydata.CurrencyCode !== 'INR'){
                    newcurrencycod = SelectedCurrencydata.CurrencyCode
                    setCurrencyCode(newcurrencycod)
					setDisplayPayPalButton(true)
					setOrderPaymentGateway('2')
                }else{
                    if(AllCountryData.length > 0){
                        AllCountryData.map((val,ind)=>{
							
                            if(val.CurrencyCode === 'USD'){
								
                                var newCartSubTotal = (OrderGrandTotalINR*val.CurrencyRate).toFixed();
								
                                setCartSubTotalPaypal(newCartSubTotal);
                            }
                        })
                    }
                }
            }    
			/*
            const script = document.createElement("script");
            script.type = "text/javascript";
            script.src = `https://www.paypal.com/sdk/js?client-id=Ab9_ABGTchFoDpk6yCm1IhBJ05s6CUIumrhjPzU77loqfv5nJBXs2V4puDhb2YEh7RTt_6WMvRzZ7cd3&currency=${newcurrencycod}`;
            script.async = true;
            script.onload = () => setPaypalScriptLoaded(true);
            document.body.appendChild(script);
			*/
        };		

        await addPaypalScript();

      }, [CartSubTotalPaypal]);

	useEffect(() => {		
		const serialState = localStorage.getItem('CartItemsList');
		if (serialState === null) {          
		}else{
			var storagedata = JSON.parse(serialState);
			if (storagedata.length > 0) {
				delCountry = storagedata[storagedata.length-1].country_id;
				
				if(delCountry === 33){
					setShowState(false)
				}
				setCountry(delCountry)	
			}
		}
	},[])

	async  function EmailHandleChange(e) {
		setEmail(e.target.value);
		setEmailerr(false);

		//var shipAddCheck = await validatCheckoutForm();
		// if(shipAddCheck){				
		// 	setShippingAddressCheck(true);
		// }else{		
		// 	setShippingAddressCheck(false);

		// }
	}
	
	async function FNmameHandleChange(e) {
		setFName(e.target.value);
		setFNameerr(false);

		// var shipAddCheck = await validatCheckoutForm();
		// if(shipAddCheck){				
		// 	setShippingAddressCheck(true);
		// }else{		
		// 	setShippingAddressCheck(false);

		// }
	}
	
	async function LNmameHandleChange(e) {
		setLName(e.target.value);
		setLNameerr(false);

		// var shipAddCheck = await validatCheckoutForm();
		// if(shipAddCheck){				
		// 	setShippingAddressCheck(true);
		// }else{		
		// 	setShippingAddressCheck(false);

		// }
	}
	
	async function TeleHandleChange(e) {
		setTelephone(e.target.value.replace(/\D/g, ""));
		setTelephoneerr(false);

		// var shipAddCheck = await validatCheckoutForm();
		// if(shipAddCheck){				
		// 	setShippingAddressCheck(true);
		// }else{		
		// 	setShippingAddressCheck(false);

		// }
	}

	async function RFNameHandleChange(e) {
		setRFName(e.target.value);
		setRFNameerr(false);

		// var shipAddCheck = await validatCheckoutForm();
		// if(shipAddCheck){				
		// 	setShippingAddressCheck(true);
		// }else{		
		// 	setShippingAddressCheck(false);

		// }

	}
	
	async function RLNameHandleChange(e) {
		setRLName(e.target.value);
		setRLNameerr(false);

		// var shipAddCheck = await validatCheckoutForm();
		// if(shipAddCheck){				
		// 	setShippingAddressCheck(true);
		// }else{		
		// 	setShippingAddressCheck(false);

		// }
	}
	
/*	async function ComNameHandleChange(e) {
		setComName(e.target.value);
		setComNameerr(false);

		var shipAddCheck = await validatCheckoutForm();
		if(shipAddCheck){				
			setShippingAddressCheck(true);
		}else{		
			setShippingAddressCheck(false);

		}
	}
	*/
	
	/*
	async function CountryHandleChange(e) {
		setCountry(e.target.value);
		setCountryerr(false);

		var shipAddCheck = await validatCheckoutForm();
		if(shipAddCheck){				
			setShippingAddressCheck(true);
		}else{		
			setShippingAddressCheck(false);

		}
	}
	*/
	
	async function StreetAddHandleChange(e) {
		setStreetAdd(e.target.value);
		setStreeterr(false);
		// var shipAddCheck = await validatCheckoutForm();
		// if(shipAddCheck){				
		// 	setShippingAddressCheck(true);
		// }
	}
	
	/*
	async function CityHandleChange(e) {
		setCity(e.target.value);
		setCityerr(false);

		var shipAddCheck = await validatCheckoutForm();
		if(shipAddCheck){				
			setShippingAddressCheck(true);
		}else{		
			setShippingAddressCheck(false);

		}
	} 
	*/
	
	/*
	async function StateHandleChange(e) {
		setState(e.target.value);
		setStateerr(false);

		var shipAddCheck = await validatCheckoutForm();
		if(shipAddCheck){				
			setShippingAddressCheck(true);
		}else{		
			setShippingAddressCheck(false);

		}
	}
	*/
	
	/*
	async function RPincodeHandleChange(e) {
		setRPincode(e.target.value);
		setRPincodeerr(false);

		var shipAddCheck = await validatCheckoutForm();
		if(shipAddCheck){				
			setShippingAddressCheck(true);
		}else{		
			setShippingAddressCheck(false);

		}
	}
	*/
	
	async function RTelephoneHandleChange(e) {
		setRTelephone(e.target.value.replace(/\D/g, ""));
		setRTelephoneerr(false);

		// var shipAddCheck = await validatCheckoutForm();
		// if(shipAddCheck){				
		// 	setShippingAddressCheck(true);
		// }else{		
		// 	setShippingAddressCheck(false);

		// }
	}
	
	async function getCustomPincode(e) {
		//setCustomPincode(e.target.value.replace(/\D/g, ""));

		var regex = /[`!@#$%^&*()_+\-=\[\]{};':"\\|,.<>\/?~]/g;

		setCustomPincode(e.target.value.replace(regex, ""));
		setRPincodeerr(false);

		// var shipAddCheck = await validatCheckoutForm();
		// if(shipAddCheck){				
		// 	setShippingAddressCheck(true);
		// }else{		
		// 	setShippingAddressCheck(false);

		// }
	}
	
	async function getCustomCity(e) {
		setCustomCity(e.target.value);
		setCityerr(false);

		// var shipAddCheck = await validatCheckoutForm();
		// if(shipAddCheck){				
		// 	setShippingAddressCheck(true);
		// }else{		
		// 	setShippingAddressCheck(false);

		// }
	}
	
	async function getCustomState(e) {
		setCustomState(e.target.value);
		setStateerr(false);

		// var shipAddCheck = await validatCheckoutForm();
		// if(shipAddCheck){				
		// 	setShippingAddressCheck(true);
		// }else{		
		// 	setShippingAddressCheck(false);

		// }
	}
	
	const router = useRouter()

	async function validatCheckoutForm() {

		var countryid = Country;
		const serialState = localStorage.getItem('CartItemsList');
        if (serialState === null) {          
        }else{
			var storagedata = JSON.parse(serialState);
			if (storagedata.length > 0) {
				countryid = storagedata[storagedata.length-1].country_id;
			}
		}
		var validForm = true;
		if (!Email) {
			setEmailerr(true);
			setShippingAddressCheck(false);
			validForm = false;
		}
		if (!FName) {
			setFNameerr(true);
			setShippingAddressCheck(false);
			validForm = false;
		}
		if (!LName) {
			setLNameerr(true);
			setShippingAddressCheck(false);
			validForm = false;
		}
		if (!Telephone) {
			setTelephoneerr(true);
			setShippingAddressCheck(false);
			validForm = false;
		}
		if (!RFName) {
			setRFNameerr(true);
			setShippingAddressCheck(false);
			validForm = false;
		}
		if (!RLName) {
			setRLNameerr(true);
			setShippingAddressCheck(false);
			validForm = false;
		}
		if (!Country) {
			setCountryerr(true);
			setShippingAddressCheck(false);
			validForm = false;
		}
		if (!StreetAdd) {
			setStreeterr(true);
			setShippingAddressCheck(false);
			validForm = false;
		}
		if (!City && !CustomCity) {
			setCityerr(true);
			setShippingAddressCheck(false);
			validForm = false;
		}
		if(countryid !== 33){
			if (!State && !CustomState) {
				setStateerr(true);
				setShippingAddressCheck(false);
				validForm = false;
			}
		}else{
			setShowState(false)
		}		
		if (!RPincode && !CustomPincode) {
			setRPincodeerr(true);
			setShippingAddressCheck(false);
			validForm = false;
		}
		if (!RTelephone) {
			setRTelephoneerr(true);
			setShippingAddressCheck(false);
			validForm = false;
		}
		if (!RTelephone) {
			setRTelephoneerr(true);
			setShippingAddressCheck(false);
			validForm = false;
		}
		return validForm
	}

	// async function saveOrderDataindatabase() {
	// 	var CartItemsListStorage = await GetStorage('CartItemsList'); 

	// 	var CurrCode = SelectedCurrencydata.CurrencyCode;
	// 	var CurrSymbol = SelectedCurrencydata.CurrencySymbol;
	// 	var CurrRate = SelectedCurrencydata.CurrencyRate;

	// 	if (CartItemsListStorage && CartItemsListStorage.length > 0) {
	// 		CurrCode = CartItemsListStorage[0].CurrencyCode
	// 		CurrSymbol = CartItemsListStorage[0].CurrencySymbol
	// 		CurrRate = CartItemsListStorage[0].CurrencyRate
	// 	}

	// 	var CouponCode = '';
	// 	if (CartDiscountsData) {
	// 		CouponCode = CartDiscountsData[0].CouponCode;
	// 	}

	// 	if(Country === 33){
	// 		var s = (State) ? State : ''
	// 		var c = (City) ? City : ''
	// 		var p = (RPincode) ? RPincode : ''
	// 	}else{
	// 		var s = (State) ? State : CustomState
	// 		var c = (City) ? City : CustomCity
	// 		var p = (RPincode) ? RPincode : CustomPincode
	// 	}		

	// 	var daysInMonth = MainDeldate.split("-");
	// 	var OrderDeliveryDate = daysInMonth[2] + '-' + daysInMonth[1] + '-' + daysInMonth[0];

	// 	var formData =
	// 	{
	// 		"ProductCountry": Country,
	// 		"OrderSubtotalINR": OrderSubtotalINR,
	// 		"OrderSubtotal": CartSubTotal,
	// 		"OrderCouponCode": CouponCode,
	// 		"OrderCouponType": '1',
	// 		"OrderDiscount": CouponDiscount,
	// 		"OrderDiscountINR": OrderDiscountsINR,
    //         "OrderCurrentCurrRate": CurrRate,
    //         "OrderCurrentCurrCode": CurrCode,
    //         "OrderCurrentCurrSymbol": CurrSymbol,
	// 		"CustomerNo": '',
	// 		"OrderPaymentGateway": OrderPaymentGateway,
	// 		"OrderGrandTotal": CartGrandTotal,
	// 		"OrderGrandTotalINR": OrderGrandTotalINR,
	// 		"prodcuts": CartItemsList,
	// 		"OrderFromIP": CustomerIp,
	// 		"OrderCouponPerORVal": '0',
	// 		"CustomerBillingFirstName": FName,
	// 		"CustomerBillingLastName": LName,
	// 		"CustomerBillingEmail": Email,
	// 		"CustomerBillingPhone": Telephone,
	// 		"GiftMessage": GiftMessage,
	// 		"SpecialInstructions": SpInstruction,
	// 		"CustomerShippingFirstName": RFName,
	// 		"CustomerShippingLastName": RLName,
	// 		"CustomerShippingCompany": ComName,
	// 		"CustomerShippingCountryNo": Country,
	// 		"CustomerShippingState": s,
	// 		"CustomerShippingCity": c,
	// 		"CustomerShippingAddress": StreetAdd,
	// 		"CustomerShippingPincode": p,
	// 		"CustomerShippingPhone": RTelephone,
	// 		"Pincode": MainPincode,
	// 		"CustomerCountry": CustomerCountry,
	// 		"OrderDeliveryCharges": OrderDeliveryCharges,
	// 		"OrderDeliveryChargesINR": OrderDeliveryChargesINR,
	// 	}

	// 	var placeOrderUrl = `${config.apiUrl}orders`;
	// 	const result = await fetch(placeOrderUrl, {
	// 		method: "POST",
	// 		headers: {},
	// 		body: JSON.stringify(formData)
	// 	});
	// 	const response = await result.json();
	// 	if (response.CODE === 200) {
	// 		var orderid = response.orderId;
	// 	} else {
	// 		var orderid = '';
	// 	}
	// 	return orderid

	// }
	
	function CheckdeliveryDate() {
		//var countryid = Country;
		//const serialState = localStorage.getItem('CartItemsList');
		var validdate = true;

		if(CartItemsList.length < 1){
			return false;
		}else{
			var checkeddata = CartItemsList.map((val,ind)=>{
				// var currdate = new Date();
				// var deldate = val.del_date;

				// if (new Date(deldate).getTime() >= currdate.getTime()) {
				// 	validdate = false;
				// }	
				
				var currdate = new Date();
                currdate.setHours(0,0,0,0)

				var deldate = val.del_date;
                var deldt = new Date(deldate)

                if (currdate > deldt) {
                    validdate = false;
                    return validdate
                }
			})        
			return validdate
		}
	}
	
	async function placeorder(e) {
		e.preventDefault();
		setisLoader(true)
		var CartItemsListStorage = GetStorage('CartItemsList'); 
		if(CartItemsListStorage === undefined){
			setisLoader(false)
			setNotPlaceError(true)
			setNotPlaceErrorMessage('You have no items in your cart.')
			return false;s
		}
        
        if(!CartItemsListStorage){
			setisLoader(false)
			setNotPlaceError(true)
			setNotPlaceErrorMessage('You have no items in your cart.')
			return false;
		}

        if(CartItemsListStorage.length < 1){
			setisLoader(false)
			setNotPlaceError(true)
			setNotPlaceErrorMessage('You have no items in your cart.')
			return false;
		}

		var validateform = await CheckdeliveryDate();
		if (!validateform) {
			setisLoader(false)
			setNotPlaceError(true)
			setNotPlaceErrorMessage('You have back date delivery products in your cart. ')
			return false;
		}

		var validateform = await validatCheckoutForm();
		if (!validateform) {
			setisLoader(false)
			return false;
		}

		var paypaloid = '';
		saveOrderDataDatabase = await saveOrderDataindatabase(paypaloid)
		if (!saveOrderDataDatabase) {
			setisLoader(false)
			return false;
		}
	
		setisLoader(true)

		if (OrderPaymentGateway == 1) {
			const res = await initializeRazorpay();
			if (!res) {
				setisLoader(false)
				return false;
			}
			const data = await fetch("/api/orders/paymentgateway/razorpay/razorpay", {
				method: "POST",
				headers: {
					'Content-Type': 'application/json',
				},
				body: JSON.stringify({
					'amount': CartGrandTotal,
					'currency': SelectedCurrencydata.CurrencyCode
				})
			}).then((t) =>
				t.json()
			);

			setisLoader(false)

			var options = {
				key: process.env.RazorPaySecretKey, // Enter the Key ID generated from the Dashboard
				name: FName + ' ' + LName,
				currency: SelectedCurrencydata.CurrencyCode,
				amount: data.amount,
				order_id: data.id,
				description: "",
				image: config.callBackUrl + '/logo.png',
				handler: async function (response) {
					// Validate payment at server - using webhooks is a better idea.					
					var checklogunableurl = await checklogsenabled('1');
					console.log('checklogunableurl succ',checklogunableurl)
					if(checklogunableurl){
						await savepaymentlogs('1','',saveOrderDataDatabase,response)
					}
					var paypalorderid = ''
					await UpdateOrderStatusAfterPayment(saveOrderDataDatabase, Email,'12',paypalorderid);	
					setisLoader(false)						
				},
				prefill: {
					name: FName + ' ' + LName,
					email: Email,
					contact: Telephone,
				},
			};
			const paymentObject = new window.Razorpay(options);
			paymentObject.on('payment.failed', async function (response){
				var paypalorderid = ''
				var checklogunableurl = await checklogsenabled('1');
				//console.log('checklogunableurl failed',checklogunableurl)
				if(checklogunableurl){
					await savepaymentlogs('1','',saveOrderDataDatabase,response)
				}
				await UpdateOrderStatusAfterPayment(saveOrderDataDatabase, Email,'11',paypalorderid);
				setisLoader(false)		
				
			});			
			paymentObject.open();
			
		}
		
		else if(OrderPaymentGateway == 3){
			setisLoader(true)
			const ccavenuedata = await fetch("/api/orders/paymentgateway/ccavenue/ccavenue", {
				method: "POST",
				headers: {
					'Content-Type': 'application/json',
				},
				body: JSON.stringify({
					'amount': CartGrandTotal,
					'currency': SelectedCurrencydata.CurrencyCode,
					'orderid': saveOrderDataDatabase,
					'billingname': FName+' '+LName
				})
			}).then((t) =>
				t.json()
			);
			setCcabvenueEncrpypted(ccavenuedata.encryptedOrderData)
		}
		
		else {
		}	
	}
	
	useEffect(async () => {
		 if(CcabvenueEncrpypted){
			document.redirect.submit(); 
		 }
	 },[CcabvenueEncrpypted])

	const initializeRazorpay = () => {
		return new Promise((resolve) => {
			const script = document.createElement("script");
			script.src = "https://checkout.razorpay.com/v1/checkout.js";
			// document.body.appendChild(script);

			script.onload = () => {
				resolve(true);
			};
			script.onerror = () => {
				resolve(false);
			};

			document.body.appendChild(script);
		});
	};

	async function UpdateOrderStatusAfterPayment(orderid, mail,paymentstatus,paypalorderid) {
		setisLoader(true)

		var fetchurl = `${config.apiUrl}orders/updatestatus`;
		var uformData = {
			'orderid': orderid,
			'email': mail,
			'paymentstatus': paymentstatus,
			'paypalorderid': paypalorderid,
		}
		const result = await fetch(fetchurl, {
			method: "POST",
			headers: {
			},
			body: JSON.stringify(uformData)
		});

		const response = await result.json();
		setisLoader(false)
		
		if (response.CODE === 200) {
			if(paymentstatus == 12){
				await dispatch(emptyCart());
				setTimeout(function () {
					router.push('/thankyou/?id=' + orderid)
				}, 2000)
			}			
		}else {
			// alert('response.error')
		}
	}

	async function SelectPaymentGateway(e) {
		var selvalue = e.target.value;
		setOrderPaymentGateway(selvalue);
	}

    const PaypalStyle = {"layout":"horizontal","color":"blue"};

    /*
	async function PayPalReturnAfterPayment(details,data){
        if(details.status === "COMPLETED"){
            var saveOrderDataDatabase = await saveOrderDataindatabase();
            await UpdateOrderStatusAfterPayment(saveOrderDataDatabase, Email, '12');
        }else{
            var saveOrderDataDatabase = await saveOrderDataindatabase();            
            await UpdateOrderStatusAfterPayment(saveOrderDataDatabase, Email, '11');
        }
    }
	*/
	
	async function saveOrderDataindatabase(paypalorderid) {
		var CartItemsListStorage = await GetStorage('CartItemsList'); 

		var CurrCode = SelectedCurrencydata.CurrencyCode;
		var CurrSymbol = SelectedCurrencydata.CurrencySymbol;
		var CurrRate = SelectedCurrencydata.CurrencyRate;

		if (CartItemsListStorage && CartItemsListStorage.length > 0) {
			CurrCode = CartItemsListStorage[0].CurrencyCode
			CurrSymbol = CartItemsListStorage[0].CurrencySymbol
			CurrRate = CartItemsListStorage[0].CurrencyRate
		}

		var CouponCode = '';
		if (CartDiscountsData) {
			CouponCode = CartDiscountsData[0].CouponCode;
		}

		if(Country === 33){
			var s = (State) ? State : ''
			var c = (City) ? City : ''
			var p = (RPincode) ? RPincode : ''
		}else{
			var s = (State) ? State : CustomState
			var c = (City) ? City : CustomCity
			var p = (RPincode) ? RPincode : CustomPincode
		}		

		//var daysInMonth = MainDeldate.split("-");
		//var OrderDeliveryDate = daysInMonth[2] + '-' + daysInMonth[1] + '-' + daysInMonth[0];

		var formData =
		{
			"ProductCountry": Country,
			"OrderSubtotalINR": OrderSubtotalINR,
			"OrderSubtotal": CartSubTotal,
			"OrderCouponCode": CouponCode,
			"OrderCouponType": '1',
			"OrderDiscount": CouponDiscount,
			"OrderDiscountINR": OrderDiscountsINR,
            "OrderCurrentCurrRate": CurrRate,
            "OrderCurrentCurrCode": CurrCode,
            "OrderCurrentCurrSymbol": CurrSymbol,
			"CustomerNo": '',
			"OrderPaymentGateway": OrderPaymentGateway,
			"OrderGrandTotal": CartGrandTotal,
			"OrderGrandTotalINR": OrderGrandTotalINR,
			"prodcuts": CartItemsList,
			"OrderFromIP": CustomerIp,
			"OrderCouponPerORVal": '0',
			"CustomerBillingFirstName": FName,
			"CustomerBillingLastName": LName,
			"CustomerBillingEmail": Email,
			"CustomerBillingPhone": Telephone,
			"GiftMessage": GiftMessage,
			"SpecialInstructions": SpInstruction,
			"CustomerShippingFirstName": RFName,
			"CustomerShippingLastName": RLName,
			"CustomerShippingCompany": ComName,
			"CustomerShippingCountryNo": Country,
			"CustomerShippingState": s,
			"CustomerShippingCity": c,
			"CustomerShippingAddress": StreetAdd,
			"CustomerShippingPincode": p,
			"CustomerShippingPhone": RTelephone,
			"Pincode": MainPincode,
			"CustomerCountry": CustomerCountry,
			"OrderDeliveryCharges": OrderDeliveryCharges,
			"OrderDeliveryChargesINR": OrderDeliveryChargesINR,
			"paypalorderid": paypalorderid,
		}

		var placeOrderUrl = `${config.apiUrl}orders`;
		const result = await fetch(placeOrderUrl, {
			method: "POST",
			headers: {},
			body: JSON.stringify(formData)
		});
		const response = await result.json();
		if (response.CODE === 200) {
			var orderid = response.orderId;
		} else {
			var orderid = '';
		}
		return orderid

	}
	
	async function savePaypalsuccess(data, actions){
		return actions.order.capture().then( async function(details) {
			var paypalorderid = data.orderID
			var checklogunableurl = await checklogsenabled('2');
			if(checklogunableurl){
				await savepaymentlogs('2',paypalorderid,'',data)
			}
			await UpdateOrderStatusAfterPayment(SavedOrderId,Email,'12',paypalorderid);
		});
	}
	
	async function createOrder(data, actions){
		return actions.order.create({purchase_units: [
			{
				amount: {
					currency_code: CurrencyCode,
					value: CartSubTotalPaypal,
				},
			},
		],
		}).then( async (orderId) => {
			var paypaloid = orderId;
			var saveOrderDataDatabase = await saveOrderDataindatabase(paypaloid);
			SavedOrderId = saveOrderDataDatabase
			if (!saveOrderDataDatabase) {
				return false;
			}else{
				return orderId;
			}
			
		});
	}
	
	async function savepaymentlogs(savepaymentmethod,savetransactionid,saveOrderid,saveresponse){
		var savelogs = `${config.apiUrl}paymentlogs/savepaymentlog`;
		const savelogsresult = await fetch(savelogs, {
			method: "POST",
			headers: {
				'Content-Type': 'application/json',
			},
			body: JSON.stringify({
				'saveresponse':saveresponse,
				'orderid':saveOrderid,
				'paymentmethod':savepaymentmethod,
				'Transactionid':savetransactionid
			})
		});
	}

	async function checklogsenabled(id){
		var logunableurl = `${config.apiUrl}paymentlogs/?id=${id}`
		const res = await fetch(logunableurl)
		const data = await res.json()
		if(data.CODE == '200' && data.enablelog == '1'){
			return true
		}else{
			return false
		}
	}


	
	
	async function savepaypalpaymentfailed(err){
		var checklogunableurl = await checklogsenabled('2');
		if(checklogunableurl){
			await savepaymentlogs('1','',saveOrderDataDatabase,err)
		}
	}
	
	async function saveCancelPaypalstatus(data){
		var paypalorderid = data.orderID
		var checklogunableurl = await checklogsenabled('2');
		if(checklogunableurl){
			await savepaymentlogs('2',paypalorderid,'',data)
		}
		await UpdateOrderStatusAfterPayment('',Email,'2',data.orderID);
	}
	
	function loadpaypalbutton(){
		setPaypalScriptLoaded(true)
	}

	function displaypaypalerr(err){
		console.log(err)
	}

	return (
		<>
			<div className = "">
				<form id="nonseamless" method="POST" name="redirect" action="https://secure.ccavenue.com/transaction/transaction.do?command=initiateTransaction">
				<input Type="hidden" id="encRequest" name="encRequest" value={CcabvenueEncrpypted} />
				<input Type="hidden" name="access_code" id="access_code" value={process.env.NEXT_PUBLIC_CCAVENUE_ACCESSCODE} />
				</form>
			</div>
			{(NotPlaceError) ?
				<>
					<div className='md-effect-1'>
						<div className='errdiv'>

							<div className='errdivico'>
								<Info className='errdicon' />
								<div className='closebtnpop'>
									<button onClick={() => setNotPlaceError(false)}><CloseOutlined className='crossiconerr' /></button>
								</div>
								<p>
									{NotPlaceErrorMessage}
								</p>
							</div>

						</div>
					</div>
					<div className="md-overlay"></div>					
				</>
				:
				''
			}

			{isLoader ?
				<span className={`${styles.ew_guest_loder} align-items-center justify-content-center d-flex w-100`}>
					<img
						src='/loading.gif' className={styles.loader} alt="loader"
					/>
				</span>
				:
				<>
					<div className={styles.checkoutouterwrap}>
						<div className={styles.topcheckout}>
							<div className={styles.tpcheckouttab}>
								<h2>Secure Checkout<Lock className={styles.lock} width='15' /></h2>
							</div>
						</div>
						<Grid container className={styles.checkoutwrapper}>
							<Grid item md={4} sm={12} xs={12}>
								<div className={styles.senderinfo}>
									<div className={styles.infoheading}>
										<h2>Sender Information</h2>
									</div>
									<div className={styles.senderformdetail}>
										<form>
											<div className={styles.checkouttopform}>
												<div className={styles.checkoutinputwrap}>
													<div className={`${styles.checkoutfname} ${styles.inputfloat}`}>
														<input
															className={` ${styles.vcart_input} ` + (FNameerr ? 'inputerrors' : '')}
															onChange={(e) => FNmameHandleChange(e)} value={FName}
															Type="text" name="name" placeholder="none" required
														/>
														<label className={styles.form_label}>First Name</label>
													</div>
													<div className={`${styles.checkoutlname} ${styles.inputfloat}`}>
														<input
															className={`${styles.vcart_input} ` + (LNameerr ? 'inputerrors' : '')}
															onChange={(e) => LNmameHandleChange(e)} value={LName}
															Type="text" name="name" placeholder="none" required
														/>
														<label className={styles.form_label}>Last Name</label>
													</div>
												</div>
												<div className={`${styles.checkoutmail} ${styles.inputfloat}`}>
													<input
														className={`${styles.vcart_input} ` + (Emailerr ? 'inputerrors' : '')}
														onChange={(e) => EmailHandleChange(e)} value={Email}
														Type="text" name="email" placeholder="none" required
													/>
													<label className={styles.form_label}>E-mail</label>
												</div>
												<div className={`${styles.checkouttelphone} ${styles.inputfloat}`}>
													<input
														className={`${styles.vcart_input} ` + (Telephoneerr ? 'inputerrors' : '')}
														onChange={(e) => TeleHandleChange(e)} value={Telephone}
														Type="text"
														placeholder="none" name="tel" required
													/>
													<label className={styles.form_label}>Phone</label>
												</div>
											</div>
											<div className={styles.recipientinfo}>
												<div className={styles.infoheading}>
													<h2>Recipient Information</h2>
												</div>
												<div className={styles.senderformdetail}>
													<form>
														<div className={styles.recipientformwrp}>
															<div className={`${styles.recipientfname} ${styles.inputfloat}`}>
																<input
																	Type="text"
																	className={`${styles.vcart_input} ` + (RFNameerr ? 'inputerrors' : '')}
																	onChange={(e) => RFNameHandleChange(e)} value={RFName} name='fname' placeholder="none" required
																/>
																<label className={styles.form_label}>First Name</label>
															</div>
															<div className={`${styles.recipientlname} ${styles.inputfloat}`}>
																<input
																	Type="text"
																	className={`${styles.vcart_input} ` + (RLNameerr ? 'inputerrors' : '')}
																	onChange={(e) => RLNameHandleChange(e)} value={RLName} name='lname' placeholder='none' required
																/>
																<label className={styles.form_label}>Last Name</label>
															</div>
														</div>
														<div className={`${styles.checkoutrecpstreet} ${styles.checkrecpsm}`}>
															<div className={`${styles.postcod} ${styles.inputfloat}`}>
																<input
																	Type="text"
																	className={`${styles.inputfirstname} ${styles.vcart_input} ` + (Streeterr ? 'inputerrors' : '')}
																	onChange={(e) => StreetAddHandleChange(e)} value={StreetAdd} name='street' placeholder='none' required

																/>
																<label className={styles.form_label}>Street Address</label>
															</div>
														</div>

														<div className={styles.recpwraping}>
															<div className={`${styles.checkoutrecpcity} ${styles.checkrecpsm}`}>
																<div className={`${styles.postcod} ${styles.inputfloat}`}>
																	{(City) ?
																		<>
																			<input Type="text" className={`${styles.inputfirstname} ${styles.vcart_input}`} value={City} name='city' placeholder='none' required />
																		</>
																		:
																		<>
																			<input Type="text" className={`${styles.inputfirstname} ${styles.vcart_input} ` + (Cityerr ? 'inputerrors' : '')} value={CustomCity} onChange={(e) => getCustomCity(e)} name='city' placeholder='none' required />
																		</>
																	}

																	<label className={styles.form_label}>City</label>

																</div>
															</div>

															{ShowState ? 
																<div className={`${styles.checkoutrecpstate} ${styles.checkrecpsm}`}>
																	<div className={`${styles.postcod} ${styles.inputfloat}`}>
																		{(!State) ?
																			<>
																				<select className={`${styles.selectcity} ${styles.selectbth} ${styles.vcart_input}` + (Stateerr ? ' inputerrors' : '')} name="status" placeholder='none' required onChange={(e) => getCustomState(e)} value={CustomState} >
																					{(Country == 2) ?
																						<>
																							{IndiaStates.map((s, sind) => {
																								return (
																									<option value={s.value} key={sind} > {s.name}</option>
																								)
																							})}
																						</>
																						:
																						(Country == 3) ?
																							<>
																								{AustraliaStates.map((s, sind) => {
																									return (
																										<option value={s.value} key={sind} > {s.name}</option>
																									)
																								})}
																							</>
																							:
																							(Country == 4) ?
																								<>
																									{UsaStates.map((s, sind) => {
																										return (
																											<option value={s.value} key={sind} > {s.name}</option>
																										)
																									})}
																								</>
																								:
																								(Country == 5) ?
																									<>
																										{CanadaStates.map((s, sind) => {
																											return (
																												<option value={s.value} key={sind} > {s.name}</option>
																											)
																										})}
																									</>
																									:
																									(Country == 30) ?
																										<>
																											{UkStates.map((s, sind) => {
																												return (
																													<option value={s.value} key={sind} > {s.name}</option>
																												)
																											})}
																										</>
																										:
																										(Country == 31) ?
																											<>
																												{UaeStates.map((s, sind) => {
																													return (
																														<option value={s.value} key={sind} > {s.name}</option>
																													)
																												})}
																											</>
																											:
																											(Country == 32) ?
																												<>
																													{GermanyStates.map((s, sind) => {
																																																								return (
																																																									<option value={s.value} key={sind} > {s.name}</option>
																														)
																													})}
																												</>
																												:
																												(Country == 33) ?
																													<>

																													</>
																													:
																													<>
																													</>
																					}
																				</select>
																			</>
																			:
																			<>
																				<input type="text"
																					className={`${styles.inputfirstname} ${styles.vcart_input} `}
																					value={State} name="state" placeholder='none' required />
																			</>
																		}

																		<label className={styles.form_label_status}>State</label>
																	</div>
																</div>
															:
																<></>
															}
														</div>

														<div className={styles.recpwraping}>
															<div className={`${styles.checkoutrecpcountry} ${styles.checkrecpsm}`}>
																<div className={`${styles.postcod} ${styles.inputfloat}`}>
																	<select className={`${styles.selectcount} ${styles.selectbth} ${styles.vcart_input}`} name="status" placeholder='none' required >
																		{
																			(Country == 2) ?
																				<>
																					<option value="2">India</option>
																				</>
																				:
																				(Country == 3) ?
																					<>
																						<option value="3">Australia</option>
																					</>
																					:
																					(Country == 4) ?
																						<>
																							<option value="4">USA</option>
																						</>
																						:
																						(Country == 5) ?
																							<>
																								<option value="5">Canada</option>
																							</>
																							:
																							(Country == 30) ?
																								<>
																									<option value="30">UK</option>
																								</>
																								:
																								(Country == 31) ?
																									<>
																										<option value="31">UAE</option>
																									</>
																									:
																									(Country == 32) ?
																										<>
																											<option value="32">Germany</option>
																										</>
																										:
																										(Country == 33) ?
																											<>
																												<option value="33">Singapore</option>
																											</>
																											:
																											<>
																											</>
																		}


																	</select>
																	<label className={styles.form_label_country}>Country</label>

																</div>
															</div>
															<div className={`${styles.checkoutrecpcode} ${styles.checkrecpsm}`}>
																<div className={`${styles.postcod} ${styles.inputfloat}`}>
																	{(RPincode) ?
																		<>
																			<input Type="text" className={`${styles.inputfirstname} ${styles.vcart_input} `} value={RPincode} placeholder='none' required />
																		</>
																		:
																		<>
																			<input Type="text" className={`${styles.inputfirstname} ${styles.vcart_input} ` + (RPincodeerr ? 'inputerrors' : '')} onChange={(e) => getCustomPincode(e)}
																				value={CustomPincode} placeholder='none' required />
																		</>
																	}
																	<label className={styles.form_label}>Pincode</label>
																</div>
															</div>
														</div>

														<div className={`${styles.stylescheckoutrecpphone} ${styles.checkrecpsm}`}>
															<div className={`${styles.postcod} ${styles.inputfloat}`}>
																<input
																	Type="text"
																	className={`${styles.inputfirstname} ${styles.vcart_input} ` + (RTelephoneerr ? 'inputerrors' : '')}
																	onChange={(e) => RTelephoneHandleChange(e)}
																	value={RTelephone} placeholder='none' required
																/>
																<label className={styles.form_label}>Phone</label>
															</div>
														</div>
													</form>
												</div>
											</div>
										</form>
									</div>
								</div>

							</Grid>
							<Grid item md={4} sm={12} xs={12}>
								<div className={styles.messagesomeone}>
									<div className={styles.infoheading}>
										<h2>Order</h2>
									</div>
									<div className={`${styles.msgsmsec} ${styles.inputfloat}`}>
										<textarea className={styles.vcart_input} name="customer_comment" cols="55" rows="5" maxLength="100" onChange={(e) => setGiftMessage(e.target.value.replace(/[^0-9a-z!.,\r\n ]/gi, ''))} value={GiftMessage} placeholder='none' required />
										<label className={styles.form_label}>
											Gift Message
										</label>
									</div>
									<div className={`${styles.msgsmsec} ${styles.msgspecial} ${styles.inputfloat}`}>
										<textarea name={styles.customer_comment} className={`${styles.spaceilinst} ${styles.vcart_input}`} cols="55" rows="5" maxLength="100"  onChange={(e) => setSpInstruction(e.target.value.replace(/[^0-9a-z!.,\r\n ]/gi, ''))}  value={SpInstruction} placeholder='none' required />
										<label className={styles.form_label}>
											Special Instructions
										</label>
									</div>
								</div>

								<div className={styles.paymentmethod_sec}>
									<div className={styles.infoheading}>
										<h2>Payment Method</h2>
									</div>
									<div className={styles.paymentwrap}>
										<div className={styles.payementinner}>
											
											<div className={`${styles.payment_cards} ${styles.paymentmthd}`}>
												<input type="radio" name='payment' className={`${styles.card_option} ${styles.cardacc}`} value="1" onChange={(e) => SelectPaymentGateway(e)} checked={OrderPaymentGateway === "1"} />
												<img src='/credit-card-methods.webp' />
											</div>
											
											{(DisplayPayPalButton) ? 
												<>
													<div className={`${styles.payment_cards} ${styles.paymentmthd}`}>
														<input type="radio" name='payment' className={`${styles.card_option} ${styles.cardacc}`} value="2" onChange={(e) => SelectPaymentGateway(e)} checked={OrderPaymentGateway === "2"} />
														<img src='/paypal.webp' />
													</div>
													</>
												:
												<>
													<div className={`${styles.payment_cards} ${styles.paymentmthd}`}>
														<input type="radio" name='payment' className={`${styles.card_option} ${styles.cardacc}`} value="3" onChange={(e) => SelectPaymentGateway(e)} checked={OrderPaymentGateway === "3"} />
														<img src='/cvenue1.png' />
													</div>
												</>
											}
										</div>
									</div>


									{OrderPaymentGateway === '1' || OrderPaymentGateway === '3' ?
										<>
											<div className={styles.plceorder_vcartbtn}>
												<Button className={`${styles.plceorder_vcart} ${styles.Top_header}`} onClick={(e) => placeorder(e)}>
													Place Order
												</Button>
											</div>
										</>
										:
										''
									}

									{OrderPaymentGateway === '2' ?
										<>
											{PaypalScriptLoaded ? null : 'Loading..' }
											<PayPalButton
												options={{clientId: process.env.NEXT_PUBLIC_PAYPAL_CLIENTID}}
												onError = {(err) => displaypaypalerr(err)}
												onClick = {async ()=>{
													 if(!await validatCheckoutForm()){
														 return false;
													 }else{
														return true;
													}
													 
												 }}
												createOrder={async (data, actions) => await createOrder(data, actions)}
												onApprove={async (data, actions) => await savePaypalsuccess(data, actions)}  //logs saved
												catchError = {(err) => savepaypalpaymentfailed(err)}
												onCancel={(data) => saveCancelPaypalstatus(data)} //logs saved
												style={PaypalStyle}
												onButtonReady={() => loadpaypalbutton()}
											/>
										</>
										
										:
										
										''
									}

																		
								</div>

							</Grid>
							<Grid item md={4} sm={12} xs={12}>
								<div className={styles.view_cart_sec}>
									<div className={styles.viewcartwrap}>
										<div className={styles.top_box_check}>
											<div className={`${styles.top_box_head} ${styles.Top_header} Top_header`}>
												{/* <span><ShoppingCart /></span> */}
												<div className={styles.heading_vcart}>
													<h2>Order Summary</h2>

												</div>
											</div>
											<div className={styles.visualbox}>
												{CartItemsList && CartItemsList.map((item, indx) => {
													var daysInMonth = item.del_date.split("-");
													var productDelDate = daysInMonth[2] + '-' + daysInMonth[1] + '-' + daysInMonth[0];

													return (
														<div className={styles.visualboxinner} key={indx}>
															<h2>{item.name}</h2>
															<div className={styles.cartrhttl}>
																<div className={styles.cartitemname}>

																	{item.is_addon == '0' ?
																		<span>
																			<p>Delivery Date: {productDelDate}</p>
																		</span>
																	:
																	<></>
																	}
																</div>
																<div className={styles.qtycrt}>
																	x {item.quantity}
																</div>
																<div className={styles.cartprice}>
																	{SelectedCurrencydata.CurrencySymbol} <span>{item.subtotal}</span>
																</div>
															</div>
														</div>
													)

												})}
											</div>
											<div className={styles.subtotal_vcart}>
												<div className={styles.billingdetailtitle}>
													<h2>billing details :-</h2>
												</div>
												<div className={`${styles.subtotalchkout} ${styles.chkoutsame}`}>
													<h3>Subtotal:</h3>
													<p>{SelectedCurrencydata.CurrencySymbol}<span> {CartSubTotal}</span></p>
												</div>
												<div className={`${styles.subtotalchkout} ${styles.chkoutsame}`}>
													<h3>Applied Coupon:</h3>
													<p>{SelectedCurrencydata.CurrencySymbol}<span> {CouponDiscount}</span></p>
												</div>
												<div className={`${styles.subtotalchkout} ${styles.chkoutsame}`}>
													{SelectedCurrencydata && (
														<>
															<h3>Delivery Charges:</h3>
															<p>{SelectedCurrencydata.CurrencySymbol}<span> {OrderDeliveryCharges}</span></p>
														</>
													)}
												</div>
												<div className={`${styles.subtotalchkout} ${styles.chkoutsame}`}>
													{GiftWrapperChargesTotal > 0 &&
														<>
															{SelectedCurrencydata && (
																<>
																	<h3>Gift Wrapping Charges:</h3>
																	<p>{SelectedCurrencydata.CurrencySymbol}<span> {GiftWrapperChargesTotal}</span></p>
																</>
															)}
														</>
													}
												</div>
												<div className={`${styles.grandtotalchkout} ${styles.chkoutsame}`}>
													<h3>Grand total:</h3>
													<p>{SelectedCurrencydata.CurrencySymbol} <span>{CartGrandTotal}</span></p>
												</div>
											</div>
										</div>
									</div>
								</div>

								<div className={styles.secureimg}>
									<div className={styles.sceureinnerimg}>
										<img src="https://1800rakhis.com/secureimg.jpg" />
									</div>
								</div>

							</Grid>
						</Grid>
					</div>
				</>
			}
		</>
	)

}