import React, { useEffect, useState } from 'react'
import { useSelector, useDispatch } from 'react-redux';
import { addItem, savePincodeData, UpdateCartExtraDetail, removeItem,setFirstTimeData,emptyCart,applyCouponOnCart } from '../../redux/actions/cart';
import { GetCookieStorage,DeleteStorage } from "../../redux/lib/localstorage";
import { removeCookie,cleanCart,setCookie } from "../../redux/lib/useCookie";
import { SetStorage } from "../../redux/lib/localstorage";
import config from '../../config/config';
import jsCookie from "js-cookie";
import styles from './Abondon.module.css'
export default function Abondoncart({orderid}) {
	const dispatch = useDispatch();	
	async function getorderdetailssql() {
		var ProductShowTimeInHrs = 0; 
		var ProductShowTimeInMin = 0;
		// var orderid = '866';
		var cartMainItemDetail = []
		var alldata = []		
		var totalprice = 0;	
		
		var showlimitdataurl = `${config.apiUrl}product/showlimit`
		const showlimitdatares = await fetch(showlimitdataurl)
		const showlimitdata = await showlimitdatares.json()
		if (showlimitdata.results.length > 0) {
			ProductShowTimeInHrs = showlimitdata.results[0].time_in_hrs
			ProductShowTimeInMin = showlimitdata.results[0].time_in_min
		}
		
		var url = `${config.apiUrl}abondoncart/getorderdetail/?orderid=${orderid}`
		const res = await fetch(url)
		const data = await res.json()
		
		var orderdetails = data.orderitems
		var orderdata = data.oderdetail
		var coupondata = data.coupondata
		var ordersdeldata = data.ordersdeldata
		var AllCountryData = data.all_currency
		
		if( orderdata.length > 0 && ordersdeldata.length > 0 ){
			SetStorage('AllCountryData',AllCountryData);
			setCookie('AllCountryData',AllCountryData);
			setCookie('GeoData','');
			var CurrencySymbol = orderdata[0].CurrencySymbol;
			var CurrencyRate = orderdata[0].CurrencyRate;
			var CurrencyCode = orderdata[0].CurrencyCode;
			var currencydataobject = {
				'CountryId':orderdata[0].CountryId,
				'CountryName':orderdata[0].CountryName,
				'CurrencyRate':CurrencyRate,
				'CurrencySymbol':CurrencySymbol,
				'CountryCode':orderdata[0].CountryCode,
				'CurrencyCode':CurrencyCode,
				'CurrencyName':orderdata[0].CurrencyName
			}
			
			/*calendar current day data */
			var currentdateobject = new Date().toLocaleString('en-US', { timeZone: 'America/Los_Angeles' })
			var date = new Date(currentdateobject).getDate()
			var currentyear = new Date(currentdateobject).getFullYear()
	        var currentmonth = new Date(currentdateobject).getMonth() + 1
			if(parseInt(currentmonth) < 10){
				currentmonth = `0${currentmonth}`
			}
			if(parseInt(date) < 10){
				date = `0${date}`
			}
			var currentdate = `${currentyear}-${currentmonth}-${date}`
			
			/* next day */
			// var current = new Date();
			var nextdayobject = new Date(Date.now() + 86400000).toLocaleString('en-US', { timeZone: 'America/Los_Angeles' });
			var nextdate = new Date(nextdayobject).getDate()
			var nextyear = new Date(nextdayobject).getFullYear()
	        var nextmonth = new Date(nextdayobject).getMonth() + 1
			if(parseInt(nextmonth) < 10){
				nextmonth = `0${nextmonth}`
			}
			if(parseInt(nextdate) < 10){
				nextdate = `0${nextdate}`
			}
			var nextdate = `${nextyear}-${nextmonth}-${nextdate}`
			
			
			var newDate = new Date();
			
				var ProductShowTime = 0;
				
				if(ProductShowTimeInHrs > 0){
						ProductShowTime = ProductShowTimeInHrs*60;
				}
				if(ProductShowTimeInMin > 0){
					ProductShowTime = parseInt(ProductShowTime) + parseInt(ProductShowTimeInMin);
				}
				let currentTime = newDate.getTime();
				let updatedDateTIme = new Date(currentTime + ProductShowTime * 60 * 1000);
				let currentUpdateTime = updatedDateTIme.getTime();
				await dispatch(emptyCart());
				setabondoncartcurrency(currencydataobject)
				
				/* shipping fields */
				var ShippingCountry = ordersdeldata[0].CustomerOrderShippingCountryNo
				var ShippingState = ordersdeldata[0].CustomerOrderShippingState;
				var ShippingCity = ordersdeldata[0].CustomerOrderShippingCity;
				var ShippingPincode = ordersdeldata[0].CustomerOrderShippingPincode;
				
				
				
				
				/* apply pincode data */
				if(ordersdeldata[0].ProductpagePincodeStateCitySearch === 'PinCodeCity'){
					ShippingPincode = '';
					await applypincodedata('',ShippingCity,'',ShippingCountry)
				}

				else if(ordersdeldata[0].ProductpagePincodeStateCitySearch === 'PincodeState'){
					ShippingPincode = '';
					await applypincodedata('','',ShippingState,ShippingCountry)
				}
				
				else{
					await applypincodedata(ShippingPincode,ShippingCity,ShippingState,ShippingCountry)
				}
				
				
				
				for (let i = 0; i < orderdetails.length; i++) {
						var price = 0;
						var priceINR = 0;
						var OriginalpriceINR = 0;
						var Originalprice = 0;
						var salepriceINR = 0;
						var saleprice = 0;
						var VendorpriceINR = 0;
						var VariationPriceINR = 0;
						var DeliverCharges = 0;
						var Delievrydate  = orderdetails[i].deliverydate;
						
						
						var CurrentDayCharges =  orderdetails[i].cdc
						var NextDayCharges    =  orderdetails[i].ndc
						var SatDisable        =  orderdetails[i].satdisable
						var SatCharges		  =  orderdetails[i].satcharges
						var MonDisable		  =  orderdetails[i].mondisable
						var MonCharges	 	  =  orderdetails[i].moncharges
						var SunDisable 		  =  orderdetails[i].sundisable
						var SunCharges 		  =  orderdetails[i].suncharges
						var SettingsEnable 	  =  orderdetails[i].SettingsEnable
						var GlobalExtraCharge =  orderdetails[i].Globalextracharge
						var GlobalStore 	  =  orderdetails[i].GlobalStore
						var GlobalSetting 	  =  orderdetails[i].GlobalSetting
						
						if(Delievrydate){
							 DeliverCharges = await applycalendarcharges(Delievrydate,currentdate,nextdate,CurrentDayCharges,NextDayCharges,SatDisable,SatCharges,MonDisable,MonCharges,SunDisable,SunCharges,SettingsEnable,GlobalExtraCharge,GlobalStore,GlobalSetting,ShippingCountry)
						}
						
						
						if(orderdetails[i].ProductSalePrice > 0){
							price = orderdetails[i].ProductSalePrice;
							priceINR = orderdetails[i].ProductSalePrice;
							OriginalpriceINR = orderdetails[i].ProductPrice;
							Originalprice = orderdetails[i].displayPrice;
							VendorpriceINR = orderdetails[i].ProductVendorPrice;
							saleprice = orderdetails[i].ProductSalePrice;
							salepriceINR = orderdetails[i].ProductSalePrice;
						}else{
							price = orderdetails[i].ProductPrice;
							priceINR = orderdetails[i].ProductPrice;
							OriginalpriceINR = orderdetails[i].ProductPrice;
							Originalprice = orderdetails[i].displayPrice;
							VendorpriceINR = orderdetails[i].ProductVendorPrice;
							saleprice = 0;
							salepriceINR = 0;
						}
						
						/* variable product */
						if(orderdetails[i].VariationPriceINR > 0){
							VariationPriceINR = orderdetails[i].VariationPriceINR;
							price = parseInt(price) + parseInt(VariationPriceINR)
						}
		
						/* AddonProduct product */
						if(orderdetails[i].OrderItemIsAddon != 1){
							var productid = orderdetails[i].ProductNo
						}
		
						totalprice =  parseInt(totalprice) + parseInt(price)
						
						var  cartdata = await createcartdata(orderdetails[i],currentUpdateTime,price,priceINR,OriginalpriceINR,Originalprice,VendorpriceINR,VariationPriceINR,productid,ShippingCountry,DeliverCharges,ShippingPincode)
						
						var  CartProductData = await addCartProductData(orderdetails[i],ShippingCountry)
						cartMainItemDetail.push(CartProductData);
						alldata.push(cartdata)
				}
				
				await dispatch(addItem(alldata, cartMainItemDetail));
				
				/* cehck coupon is valid */
				if(totalprice > coupondata[0].CouponAmount && totalprice > coupondata[0].MinimumCartTotal){
					await applycoupon(coupondata)
				}
				
				
			
		}
	}
	
	
	async function createcartdata(data,currentUpdateTime,price,priceINR,OriginalpriceINR,Originalprice,VendorpriceINR,VariationPriceINR,productid,countryno,DeliverCharges,ShippingPincode){
		
		if(data.OrderItemIsAddon == 1){
			var group_idno =  productid + 'p' + price;
			var unique_id  = data.AddonProductId + 'ad' + price;
			var addonint  = 1;
			var productdata = {
				group_id: group_idno,
				unique_id: unique_id,
				product_id: productid,
				name: data.ProductName,
				product_price: price,
				price: price,
				quantity: 1,
				del_date: data.pd,
				pincode: ShippingPincode,
				is_addon: addonint,
				del_charges: DeliverCharges,
				gift_wraped: '',
				product_sku: data.OrderItemProductSku,
				cake_message: data.CakeMessage,
				uploaded_image: data.PersonalisedImage,
				product_country: countryno,
				addon_id: '',
				addon_product_id: data.AddonProductId,
				addon_product_sku:data.OrderItemProductSku,
				addon_price_inr: price,
				variation_product_id: productid,
				variation_id: '',
				variation_sku: '',
				variation_price_inr: '',
				variation_title: '',
				variation_types: '',
				p_image: data.ProductImage,
				country_id: countryno,
				giftwrapper: 0,
				vendor_price_inr: 0,
				product_sale_price_inr: data.OrderItemSalePriceINR,
				product_purchase_price_inr: data.ProductUnitrPriceINR,
				show_date_time: currentUpdateTime
			}
		}else{
			var group_idno =  productid + 'p' + price;
			var unique_id  =  productid + 'p' + price;
			var addonint  = 0;
			var productdata = {
					group_id: group_idno,
					unique_id: unique_id,
					product_id: data.ProductNo,
					name: data.ProductName,
					product_price: price,
					price: price,
					quantity: data.OrderItemQty,
					del_date: data.pd,
					pincode: ShippingPincode,
					is_addon: addonint,
					del_charges: DeliverCharges,
					gift_wraped: '',
					product_country:countryno,
					product_sku: data.OrderItemProductSku,
					cake_message: data.CakeMessage,
					uploaded_image: data.PersonalisedImage,
					addon_id: '',
					addon_product_id: data.AddonProductId,
					addon_sku: data.AddonProductSku,
					addon_price_inr: '',
					variation_product_id: data.ItemVariationNo,
					variation_types: data.ItemTypesNo,
					p_image:  data.ProductImage,
					country_id: countryno,
					giftwrapper: data.ItemGiftWrappingCharges,
					vendor_price_inr: data.OrderVendorPriceINR,
					product_sale_price_inr: data.OrderItemSalePriceINR,
					product_purchase_price_inr: data.ProductUnitrPriceINR,
					show_date_time: currentUpdateTime,
					variation_id: data.VariationId,
					variation_sku: data.VariationSku,
					variation_price_inr: VariationPriceINR,
					variation_title: '',
				}
		}
		
		
		
		
		// console.log('productdata',productdata)
		
		return productdata;
		
	
	}
	
	async function addCartProductData(data,countryno){
		var cartmoredata = { 
			'country_id':  countryno,
			'pincode': '134105',
			'delivery_date': data.ProductDeliveryDate,
			'cake_message': data.CakeMessage, 
			'pesonalize_image': data.PersonalisedImage, 
			'giftwrapper': data.PersonalisedImage 
		}
		return cartmoredata
	}
	
	async function setabondoncartcurrency(currdata){
		setCookie('CurrencyData',currdata); 
		SetStorage('CurrencyData',currdata); 
		return true;
	} 
	
	useEffect(()=>{
		getorderdetailssql()
	},[])
	
	async function applycoupon(coupondata){
		await dispatch(applyCouponOnCart(coupondata[0]));
		return true;
	}
	
	async function applypincodedata(pincode,pincodecity,pincodestate,pincodecountry){
		await dispatch(savePincodeData(
					{
						'PinCode':pincode,
						'PincodeState':pincodestate,
						'PinCodeCity':pincodecity,
						'PinCodeCountryNo':pincodecountry
					}
				))
		return true;
	}
	
	async function applycalendarcharges(Delievrydate,currentdate,nextdate,CurrentDayCharges,NextDayCharges,SatDisable,SatCharges,MonDisable,MonCharges,SunDisable,SunCharges,SettingsEnable,GlobalExtraCharge,GlobalStore,GlobalSetting,ShippingCountry){
		
		var deliverychages = 0;
		var GlobalSettingStoreArray = []
		if(GlobalStore){
			GlobalSettingStoreArray = GlobalStore.split(",")
		}
		
		/*get delivrydate data */
		const DeliverDateFormated = new Date(Delievrydate);
		var DelievryDateDayName = DeliverDateFormated.toLocaleString('en-us', { weekday: 'short' })
		
		/* check globalday extra charge */
		if(GlobalSetting == 1 && GlobalExtraCharge > 0 && GlobalSettingStoreArray.indexOf(ShippingCountry) != -1){
			deliverychages = GlobalExtraCharge;
		}
		
		/* saturday extra charge */
		else if(SatCharges > 0 && SatDisable != '1'){
			deliverychages = SatCharges;
		}
		
		/* sunday extra charge */
		else if(SunCharges > 0 && SunDisable != '1'){
			deliverychages = SunCharges;
		}
		
		/* monday extra charge */
		else if(MonCharges > 0 && MonDisable != '1'){
			deliverychages = MonCharges;
		}
		
		/* currentday extra charge */
		else if(Delievrydate == currentdate && CurrentDayCharges > 0){
			deliverychages = CurrentDayCharges;
		} 
		
		
		/* nextday extra charge */
		else if(Delievrydate == nextdate && NextDayCharges > 0){
			deliverychages = NextDayCharges;
		} 
		
		return deliverychages;
		
	} 


	useEffect(() => {
		const timer = setTimeout(() => {
			window.location.href = '/cart'
		}, 5000);
		return () => clearTimeout(timer);
	  }, []);

	
	return (
		<div className={styles.abondonwrap}>
			<img src='./abondon.jpg' />
			<div className={styles.abondon_loader}>
					<img src="./loading.gif" />
			</div>
		</div>
	)
}

export async function getServerSideProps(context) {
	var dataurl = context.query.orderid
	if(!dataurl){
		return { notFound: true };
	}

	return { props: { orderid:dataurl }}
}