import mysql from 'serverless-mysql';
export default async function handler(req, res) {
	const db = mysql({
		config: {  
			host: process.env.DB_HOST,   
			port: process.env.DB_PORT,  
			database: process.env.DB_DATABASE, 
			user: process.env.DB_USER, 
			password: process.env.DB_PASSWORD   
		}
	})

	var couponCode = req.query.couponCode;
	var countryid = req.query.country;

	var dateFuntion = new Date();
	var year = dateFuntion.getFullYear();
	var month = dateFuntion.getMonth()+1;
	var day = dateFuntion.getDate();
	if(month < 10){
		month = '0'+month;
	}
	if(day < 10){
		day = '0'+day;
	}
	var current_date = year+'-'+month+'-'+day;

	if(couponCode){
		

		var sql = "SELECT * FROM `coupons` WHERE `CouponName`='"+couponCode+"' AND `CouponStatus`='1'  AND `CouponStartdate`<='"+current_date+"' AND `CouponEnddate`>='"+current_date+"' AND `CouponCountry`='"+countryid+"'";
		let coupons  = await db.query(sql)

		var returnsdata = {'CODE':'200','message':'','error':'','data':coupons}
		await db.end()
		res.status(200).json(returnsdata)
	}else{
		var CountryId = req.query.countryid
		var sql = `SELECT CouponId,CouponName,CouponAmount,CouponName as CouponCode, MinimumCartTotal,Coupontype FROM coupons where CouponStatus = 1 and CouponCountry = ${CountryId} and DisplayOnCartPage = 1 and DATE(CouponEnddate) >= '${current_date}' `
		let coupons  = await db.query(sql)
		await db.end()
		if(coupons.length > 0){
			res.status(200).json({coupons,"nodata":'no'})
		}else{
			res.status(200).json({"nodata":'yes'})
		}
		
		
	}
	
	
	
	
}