import { useRouter } from 'next/router';
import mysql from 'serverless-mysql';
import config from '../../../config/config';
export default async function handler(req, res) {
	const db = mysql({
		config: {  
			host: process.env.DB_HOST,   
			port: process.env.DB_PORT,  
			database: process.env.DB_DATABASE, 
			user: process.env.DB_USER, 
			password: process.env.DB_PASSWORD  
		}
	})
	var id = req.query.id
	
	if(id){
		var sql = "select TransactionEnabledLog from enable_orders_logging where PaymentGatewayNo = '"+id+"'";
		var  results  = await db.query(sql)
		if(results.length > 0){
			var enablelog = results[0].TransactionEnabledLog
			res.status(200).json({'CODE':'200','enablelog':enablelog})
		}else{
			res.status(200).json({'CODE':'401'})
		}
		await db.end()
	}else{
		res.status(200).json({'CODE':'400'})
	}
}