import { GET_CUURENCY,SET_CUURENCY, CUURENCY_CHANGE, ADD_ITEM, DELETE_ITEM,UPDATE_ITEM,EMPTY_CART,USER_ID,UPDATE_ITEMS,APPLY_COUPON,UPDATE_ITEM_QUANTITY,SAVE_PINCODE_DATA,UPDATE_EXTRA_DETAIL } from './types';

import { setCartCookie,setCartItemsCookie,applyCoupon,updateItemQtyCart,changeCurrency,savePincodeDataCart,cleanCart,setCartExtraDetail,setGeoData,setAllCountryData,getCartItemsList,removeCoupon,setFlagData,FirstTimeCookieData } from "../lib/useCookie";

export const checkCartItemWithTimeLimit = () => async dispatch => {   
  try{
    await CheckCartItemsDateTime('CartItemsList');   

    dispatch( {
      type: 'SET_CART_REFRESH_DATA',
      data: 'data'
    })
  }
  catch(error){
    dispatch( {
      type: 'SET_CART_REFRESH_DATA',
      payload: 'error',
    })
  }
}

export const userID = (data) => (
  {
    type: USER_ID,
    data: data
  }
);

export const GetcurrencyData = (data) => (
  {
    type: GET_CUURENCY,
  }
);

export const setFirstTimeData = (CurrentCurr,AllCurrency,geoData) => async dispatch => {   
  try{
    // await changeCurrency(CurrentCurr);   
    // await setAllCountryData(AllCurrency);
    // await setGeoData(geoData);   
    // await setFlagData(FlagData); 

    await FirstTimeCookieData(CurrentCurr,AllCurrency,geoData);  

    dispatch( {
      type: SET_CUURENCY,
      data: data
    })
  }
  catch(error){
    dispatch( {
      type: 'USERS_ERROR',
      payload: error,
    })
  }
}

export const setCurrency = (data,geoData) => async dispatch => {   
  try{
    await changeCurrency(data);   
    await setGeoData(geoData);   

    dispatch( {
      type: SET_CUURENCY,
      data: data
    })
  }
  catch(error){
    dispatch( {
      type: 'USERS_ERROR',
      payload: error,
    })
  }
}

export const saveFlagData = (data) => async dispatch => {   
  try{
    await setFlagData(data);   

    dispatch( {
      type: 'SET_FLAG_DATA',
      data: data
    })
  }
  catch(error){
    dispatch( {
      type: 'SET_FLAG_DATA',
      payload: error,
    })
  }
}

export const currencyChange = (data) => async dispatch => {   

  try{
    var newdata = await changeCurrency(data); 
    //await changeCurrencyCartUpdate(data);

    dispatch( {
      type: CUURENCY_CHANGE,
      data: data
    })
  }
  catch(error){
    dispatch( {
      type: 'USERS_ERROR',
      payload: error,
    })
  }
}

export const addItem = (data,maindetail) => async dispatch => {    
  try{

    var CartItemsList = await getCartItemsList('CartItemsList');

    var newitem = await setCartItemsCookie(data);
    var newitem1 = await setCartExtraDetail(maindetail);

    dispatch( {
          type: ADD_ITEM,
          payload: data
      })
  }
  catch(error){
      dispatch( {
          type: 'USERS_ERROR',
          payload: error,
      })
  }
}

export const removeItem = (data) => (
  {
    type: DELETE_ITEM,
    key: data.product_id,
    data: data
  }
);

export const updateAllItems = (data) => (
  {
    type: UPDATE_ITEMS,
    data: data
  }
);

export const applyCouponOnCart = (data) => async dispatch => {    
  try{
    var disPrice = await applyCoupon(data);
    dispatch( {
          type: APPLY_COUPON,
          data: disPrice
      })
  }
  catch(error){
      dispatch( {
          type: 'USERS_ERROR',
          payload: error,
      })
  }
}
export const removeCouponFromCart = (data) => async dispatch => {    
  try{
    var disPrice = await removeCoupon(data);

    dispatch( {
          type: APPLY_COUPON,
          data: disPrice
      })
  }
  catch(error){
      dispatch( {
          type: 'USERS_ERROR',
          payload: error,
      })
  }
}

export const updateItemQty = (data) => async dispatch => {    
  try{
    var disPrice = await updateItemQtyCart(data);
    dispatch( {
          type: UPDATE_ITEM_QUANTITY,
          data: data
      })
  }
  catch(error){
      dispatch( {
          type: 'USERS_ERROR',
          payload: error,
      })
  }
}

export const savePincodeData = (data) => async dispatch => {    
  try{
    var disPrice = await savePincodeDataCart(data);

    dispatch( {
          type: SAVE_PINCODE_DATA,
          data: data
      })
  }
  catch(error){
      dispatch( {
          type: 'USERS_ERROR',
          payload: error,
      })
  }
}

export const emptyCart = () => async dispatch => {    
  try{
    var disPrice = await cleanCart();

    dispatch( {
          type: EMPTY_CART,
          data: ''
      })
  }
  catch(error){
      dispatch( {
          type: 'USERS_ERROR',
          payload: error,
      })
  }
}

export const UpdateCartExtraDetail = (maindetail) => async dispatch => {    
  try{
    var newitem1 = await setCartExtraDetail(maindetail);
    

    dispatch( {
          type: UPDATE_EXTRA_DETAIL,
          payload: data
      })
  }
  catch(error){
      dispatch( {
          type: 'USERS_ERROR',
          payload: error,
      })
  }
}

export const saveAllCountryData = (currencydata,current_crr,geodata) => async dispatch => {    
  try{
    
    var newitem1 = await setAllCountryData(currencydata);

    await changeCurrency(current_crr);   
    await setGeoData(geodata);   

    dispatch( {
          type: 'SET_ALL_COUNTRY_DATA',
          payload: data
      })
  }
  catch(error){
      dispatch( {
          type: 'USERS_ERROR',
          payload: error,
      })
  }
}